%define	name	vigor
%define	version 0.016
%define release 9mdk
%define summary	The popular Unix editor vi with the addition of the Vigor Assistant

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Editors
Source0:	http://heanet.dl.sourceforge.net/sourceforge/vigor/%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-16.png.bz2
Patch:		%{name}.tcltk83.patch.bz2
Url: 		http://vigor.sourceforge.net/
BuildRequires:	libtermcap-devel tcl tk XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Based on the User Friendly comic strip storyline from 4 January to 14 January,
Vigor brings all the features of traditional Unix vi, plus the friendly and 
helpful Vigor Assistant. (If you aren't familiar with User Friendly the Comic 
Strip, quit bothering with Vigor and go out and look there first. It's well w
orth the trip! Don't worry, we'll wait.)
Enter the world of Vigor! Come, join us, watch the paperclip, 
	don't be afraid...

%prep
%setup -q
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
%patch

%build
cd build
%configure --enable-curses --enable-db --enable-re
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT
(cd build && %makeinstall)
chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{name}
chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/recover

# icons
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.png"\\
	section="More applications/Editors"\\
	title="Vigor" \
	longtitle="%{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc FAQ LAYOUT LICENSE README README.vigor
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Jul 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.016-9mdk 
- fixed menu category
- fixed perms

* Wed May 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.016-8mdk
- rebuild
- rpmbuildupdate aware

* Mon Apr 28 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.016-7mdk
- quiet setup
- rm -rf buildroot in %%install, not %%prep
- rebuild against tcl8.4
- rm -rf buildroot in %%clean, not builddir
- remove redundant requires
- fix buildrequires
- updated URL

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.016-6mdk
- rebuild

* Tue Apr 23 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.016-5mdk
- rebuild with latest tcl

* Wed Mar 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.016-4mdk
- fixed tcl/tk 8.3 compilation
- used png icons

* Wed Jan 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.016-3mdk
- the return of the son of the revenge (and he's angry)
- bzipped icons

* Thu Sep 06 2001 Etienne Faure <etienne@mandrakesoft.com> 0.016-2mdk
- rebuild after testing it. Its worth using it.

* Thu May 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.016-1mdk
- added in contribs by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- first Mandrake release
